Redmine - Patch #35727

Add missing fixtures to Redmine::ProjectJumpBoxTest
2021-08-10 03:36 - Yuichi HARADA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 5.0.0

Description

Redmine::ProjectJumpBoxTest has failed.
% RAILS_ENV=test bundle exec rake db:migrate:reset

% RAILS_ENV=test bundle exec rake test TEST=test/unit/lib/redmine/project_jump_box_test.rb
Run options: —--seed 29081

# Running:
ol

Failure:
Redmine: :ProjectJumpBoxTest#test_should_update_recents_list [test/unit/lib/redmine/project_jump_bo
x_test.rb:134]:
Expected: 2
Actual: 1

rails test test/unit/lib/redmine/project_jump_box_test.rb:119
IF

Failure:
Redmine: :ProjectJumpBoxTest#test_should_limit_recently_used_projects [test/unit/lib/redmine/projec
t_jump_box_test.rb:61]:
Expected: 1
Actual: 0

rails test test/unit/lib/redmine/project_jump_box_test.rb:54

F

Failure:

Redmine: :ProjectJumpBoxTest#test_should_record_recently_used_projects_order [test/unit/lib/redmine
/project_Jjump_box_test.rb:71]:

Expected: 2

Actual: 1

rails test test/unit/lib/redmine/project_jump_box_test.rb:64

Finished in 0.942857s, 8.4848 runs/s, 29.6970 assertions/s.
8 runs, 28 assertions, 3 failures, 0 errors, 0 skips

Associated revisions

Revision 21147 - 2021-08-10 14:30 - Go MAEDA
Add missing fixtures to Redmine::ProjectdumpBoxTest (#35727).

Patch by Yuichi HARADA.

History

2025-05-02 1/2




#1 - 2021-08-10 03:42 - Yuichi HARADA
- File 35727.patch added

It was solved with the following patch.

diff --git a/test/unit/lib/redmine/project_jump_box_test.rb b/test/unit/lib/redmine/project_jump_box_test.rb

index 9edc948e0c..7c087322d3 100644
-—— a/test/unit/lib/redmine/project_Jjump_box_test.rb
+++ b/test/unit/lib/redmine/project_Jjump_box_test.rb
@@ -20,7 +20,7 @@
require File.expand_path('../../../../test_helper', _ FILE_ )

class Redmine: :ProjectJumpBoxTest < ActiveSupport::TestCase
- fixtures :users, :projects, :user_preferences
+ fixtures :users, :projects, :user_preferences, :members, :roles, :member_roles

def setup
@Quser = User.find by login 'jsmith'

#2 - 2021-08-10 14:30 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version set to 5.0.0

Committed the patch. Thank you.
